> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-api-ja-geopard/86.-poizvedba-pridobi-farms.md).

# 86. Poizvedba: Pridobi "Farms"

Spodaj je okvirni osnovni GraphQL poizvedek, uporabljen za pridobitev vseh »kmetij«, dostopnih uporabniku:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba FetchAllFarms {
  getFarms {
    uuid
    userUuid
    ime
    farmOwnership
    externalKey
    ownerEmail
    datumUstvarjanja
    updatedDate
  }
}
```

{% endcode %}

Poleg drugih parametrov lahko uporabite tudi `farmUuids` in `externalKeys` filtre za prilagoditev odziva. Ti filtri se lahko uporabljajo samostojno ali v kombinaciji, kar omogoča bolj ciljno usmerjeno pridobivanje podatkov.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    ime
    farmOwnership
    externalKey
    ownerEmail
    datumUstvarjanja
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-api-ja-geopard/86.-poizvedba-pridobi-farms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
